
/*
 * winmain.h - main window header file
 * $Id: winmain.h,v 1.2 1998/05/01 04:45:33 ademko Exp $
 *
 * Copyright (C) 1998 Alex Demko <ademko@mbnet.mb.ca>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __INCLUDED_WINMAIN_H
#define __INCLUDED_WINMAIN_H

#include <gtk/gtk.h>
#include <dataman.h>

/* the main window type */
typedef struct mainWindow {
    GtkWidget *window,           /* the window */
        *add, *edit, *del,       /* the buttons */
        *about, *quit,
        *list;                    /* the menu tree */
} mainWindow;

void showMainWindow(GList *list);

extern mainWindow mainWin;

#endif

